package net.shadowfacts.shadowui

import net.minecraft.client.gui.screen.Screen
import net.minecraft.network.chat.TextComponent
import no.birkett.kiwi.Solver

open class UIScreen: Screen(TextComponent("UIScreen")) {

	val solver = Solver()

	val views = mutableListOf<UIView>()

	fun addView(view: UIView) {
		views.add(view)
		view.solver = solver
		view.wasAdded()
	}

	fun layout() {
		solver.updateVariables()
		views.forEach(UIView::didLayout)
	}

	override fun render(mouseX: Int, mouseY: Int, delta: Float) {
		views.forEach(UIView::draw)
	}

}