package net.shadowfacts.shadowui.util

data class Color(val red: Int, val green: Int, val blue: Int, val alpha: Int = 255) {

	constructor(rgb: Int, alpha: Int = 255): this(rgb shr 16, (rgb shr 8) and 255, rgb and 255, alpha)

	val argb: Int
		get() = ((alpha and 255) shl 24) or ((red and 255) shl 16) or ((green and 255) shl 8) or (blue and 255)

}